### Method

# St Clipboard get_content

#### Declaration [src]

    void
    st_clipboard_get_content (
      StClipboard* clipboard,
      StClipboardType type,
      const gchar* mimetype,
      StClipboardContentCallbackFunc callback,
      gpointer user_data
    )

#### Description [src]

Request the data from the clipboard in `GBytes` form. `callback` is executed when the data is retrieved.

#### Parameters

`type`

  Type: `StClipboardType`

  The type of clipboard data you want.

`mimetype`

  Type: `const gchar*`

  The mimetype to get content for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`callback`

  Type: `StClipboardContentCallbackFunc`

  Function to be called when the type is retrieved.

`user_data`

  Type: `gpointer`

  Data to be passed to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.